Skip to Content
Snapshot(USnap)CreateUSnapGroup

Create Snapshot Consistency Group - CreateUSnapGroup

Overview

Create Snapshot Consistency Group

Definition

Public Parameters

Parameter NameTypeDescription InformationRequired
ActionstringCorresponding API command name, the current API is CreateUSnapGroup.Yes
PublicKeystringThe user’s public key can be obtained from Console Yes
SignaturestringUser signature generated based on public key and API command, see Signature AlgorithmYes

Request Parameters

Parameter NameTypeDescription InformationRequired
RegionstringRegion. See List of Regions and Availability ZonesYes
ZonestringAvailability Zone. See Availability Zone ListYes
ProjectIdstringProject ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the GetProjectList interface.No
VDiskIdsstringList of disk IDs that need to create consistent group snapshotsYes
NamestringConsistency Group Snapshot NameYes

Response Field

Field NameTypeDescription InformationRequired
RetCodeintReturn status code. If it is 0, it means successful return. If it is not 0, it means failure.Yes
ActionstringOperation command name.Yes
MessagestringReturns an error message, providing detailed description when RetCode is non-zero.No
GroupIdstringConsistency Group IDNo
FailCountintNumber of Snapshot Creation FailuresNo
FailListarray[string]Failed to create snapshot disk listNo

Example

Request Example

https://api.surfercloud.com/?Action=CreateUSnapGroup &Region=cn-zj &Zone=cn-zj-01 &ProjectId=GgPOxpyu &VDiskIds=BfOvUvTz &Name=rNMBahZE

Response Example

{ "Action": "CreateUSnapGroupResponse", "FailCount": 9, "FailList": [ "xwRvamic" ], "GroupId": "BcTLRktO", "RetCode": 0 }